Bug 60657 - php 3.0.18 doesn't seem to want to compile
php 3.0.18 doesn't seem to want to compile
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-04 05:44 EST by Bishop Clark
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-04 05:46:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a log of the rebuild of the wgetted (wgotten?) SRPM (7.30 KB, text/plain)
2002-03-04 05:46 EST, Bishop Clark
no flags Details

  None (edit)
Description Bishop Clark 2002-03-04 05:44:50 EST
Description of Problem:
ftp://updates.redhat.com/6.2/en/os/SRPMS/php-3.0.18-8.src.rpm is not 
rebuildable.

Version-Release number of selected component (if applicable):
php-3.0.18-8

How Reproducible:
Always.

Steps to Reproduce:
1. rpm --rebuild ftp://updates.redhat.com/6.2/en/os/SRPMS/php-3.0.18-8.src.rpm
2. 
3. 

Actual Results:

checking for ASPELL support... no
checking for MCAL support... no
checking for ftp support... yes
./configure: line 7380: syntax error near unexpected token `else'
./configure: line 7380: `else'
error: Bad exit status from /var/tmp/rpm-tmp.13893 (%build)


Expected Results:
I was kinda expecting happy messages about
Wrote:  /usr/src/redhat/RPMS/i386/php-3.0.18-8.i386.rpm and such

Additional Information:
pretty standard stock RH62 system, except Apache uses recursive configs instead 
of 18,000 -D switches 8-)	Whaddaya wanna know?
Comment 1 Bishop Clark 2002-03-04 05:46:06 EST
Created attachment 47300 [details]
a log of the rebuild of the wgetted (wgotten?) SRPM
Comment 2 Phil Copeland 2002-08-06 14:17:43 EDT
I'm working on an errata for this.

I unfortunately don't have a ship date as that depends on when the QA folk sign
off on the errata package

Phil
=--=
Comment 3 Bishop Clark 2002-08-06 14:25:52 EDT
Is there still the desire within Red Hat to provide updates for 6.2?  It's not
mentioned any more, and I've got a feeling it's a bit long in the tooth for TPTB
out there .. especially with RHL80 loomingon the horizon!

Give it to me straight, doc - is my 6.2 box dying of old age, and is it but a
matter of time before an OpenSSL exploit tips my hand and I put it out to pasture?




Comment 4 Phil Copeland 2002-08-06 14:29:36 EDT
Well 6.2 is supported,.. just from a devleoper point of view there's also
7.(0,1,2,3), HA1.0 and AS2.1 to maintain,.. it's a nightmarish load of work so
we're sort of snowed under. But 6.2 IS supported,.. but only till next March I
believe.

That said, you probably should jump to 7.3 (it's basically 7.2 + bugfixes)

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.